org.apache.lucene.analysis.ja

## Class GraphvizFormatter

- java.lang.Object
- - org.apache.lucene.analysis.ja.GraphvizFormatter

-     public class GraphvizFormatter
      extends Object

  Outputs the dot (graphviz) string for the viterbi lattice.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphvizFormatter(ConnectionCosts costs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `finish()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphvizFormatter

          public GraphvizFormatter(ConnectionCosts costs)

  - ### Method Detail

    - #### finish

          public String finish()

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.